Hooks:PostHook(WeaponFactoryTweakData, "init", "MW2019_Mini_ReflexSightsModInit", function(self)
	local custom_sight_id = "wpn_fps_upg_o_mw2019_gi_mini_reflex"
	local based_on_id = "wpn_fps_upg_o_specter"
	local offset = Vector3(0, -1, 2.10)
	if self.parts[custom_sight_id].stance_mod then
		for _, wpn_id in pairs(self.parts[custom_sight_id].stance_mod) do
			if wpn_id.translation then
				wpn_id.translation = (wpn_id.translation + offset)
			end
		end
		self.parts[custom_sight_id].stance_mod.wpn_fps_smg_cobray = {translation = offset}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_asval = {translation = offset}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_sub2000 = {translation = offset}
	end
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					if wpn_id.translation then
						wpn_id.translation = (wpn_id.translation + offset)
					end
				end
			end
		end
	end
	
	local custom_sight_id = "wpn_fps_upg_o_mw2019_solozero_mini_reflex"
	local based_on_id = "wpn_fps_upg_o_specter"
	local offset = Vector3(0, -1, 2.10)
	if self.parts[custom_sight_id].stance_mod then
		for _, wpn_id in pairs(self.parts[custom_sight_id].stance_mod) do
			if wpn_id.translation then
				wpn_id.translation = (wpn_id.translation + offset)
			end
		end
		self.parts[custom_sight_id].stance_mod.wpn_fps_smg_cobray = {translation = offset}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_asval = {translation = offset}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_sub2000 = {translation = offset}
	end
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					if wpn_id.translation then
						wpn_id.translation = (wpn_id.translation + offset)
					end
				end
			end
		end
	end
	
	local custom_sight_id = "wpn_fps_upg_o_mw2019_cronen_mini_reflex"
	local based_on_id = "wpn_fps_upg_o_specter"
	local offset = Vector3(0, -1, 2.10)
	if self.parts[custom_sight_id].stance_mod then
		for _, wpn_id in pairs(self.parts[custom_sight_id].stance_mod) do
			if wpn_id.translation then
				wpn_id.translation = (wpn_id.translation + offset)
			end
		end
		self.parts[custom_sight_id].stance_mod.wpn_fps_smg_cobray = {translation = offset}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_asval = {translation = offset}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_sub2000 = {translation = offset}
	end
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					if wpn_id.translation then
						wpn_id.translation = (wpn_id.translation + offset)
					end
				end
			end
		end
	end
	
		local custom_sight_id = "wpn_fps_upg_o_mw2019_gi_mini_reflex_riser"
	local based_on_id = "wpn_fps_upg_o_specter"
	local offset = Vector3(0, -1, 1.00)
	if self.parts[custom_sight_id].stance_mod then
		for _, wpn_id in pairs(self.parts[custom_sight_id].stance_mod) do
			if wpn_id.translation then
				wpn_id.translation = (wpn_id.translation + offset)
			end
		end
		self.parts[custom_sight_id].stance_mod.wpn_fps_smg_cobray = {translation = offset}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_asval = {translation = offset}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_sub2000 = {translation = offset}
	end
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					if wpn_id.translation then
						wpn_id.translation = (wpn_id.translation + offset)
					end
				end
			end
		end
	end
	
	local custom_sight_id = "wpn_fps_upg_o_mw2019_solozero_mini_reflex_riser"
	local based_on_id = "wpn_fps_upg_o_specter"
	local offset = Vector3(0, -1, 1.00)
	if self.parts[custom_sight_id].stance_mod then
		for _, wpn_id in pairs(self.parts[custom_sight_id].stance_mod) do
			if wpn_id.translation then
				wpn_id.translation = (wpn_id.translation + offset)
			end
		end
		self.parts[custom_sight_id].stance_mod.wpn_fps_smg_cobray = {translation = offset}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_asval = {translation = offset}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_sub2000 = {translation = offset}
	end
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					if wpn_id.translation then
						wpn_id.translation = (wpn_id.translation + offset)
					end
				end
			end
		end
	end
	
	local custom_sight_id = "wpn_fps_upg_o_mw2019_cronen_mini_reflex_riser"
	local based_on_id = "wpn_fps_upg_o_specter"
	local offset = Vector3(0, -1, 1.00)
	if self.parts[custom_sight_id].stance_mod then
		for _, wpn_id in pairs(self.parts[custom_sight_id].stance_mod) do
			if wpn_id.translation then
				wpn_id.translation = (wpn_id.translation + offset)
			end
		end
		self.parts[custom_sight_id].stance_mod.wpn_fps_smg_cobray = {translation = offset}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_asval = {translation = offset}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_sub2000 = {translation = offset}
	end
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					if wpn_id.translation then
						wpn_id.translation = (wpn_id.translation + offset)
					end
				end
			end
		end
	end
	
--	local pis_custom_sight_id = "wpn_fps_upg_o_mw2019_cronen_mini_reflex_pis"
--	local pis_based_on_id = "wpn_fps_upg_o_rmr"
--	local pis_offset = Vector3(0, -1, -0.1)
--	if self.parts[pis_custom_sight_id].stance_mod then
--		for _, wpn_id in pairs(self.parts[pis_custom_sight_id].stance_mod) do
--			if wpn_id.translation then
--				wpn_id.translation = (wpn_id.translation + pis_offset)
--			end
--		end
--	end
--	for _, part_id in pairs(self.parts) do
--		if part_id.override and part_id.override[pis_based_on_id] then
--			part_id.override[pis_custom_sight_id] = deep_clone(part_id.override[pis_based_on_id])
--			if part_id.override[pis_custom_sight_id].stance_mod then
--				for _, wpn_id in pairs(part_id.override[pis_custom_sight_id].stance_mod) do
--					if wpn_id.translation then
--						wpn_id.translation = (wpn_id.translation + pis_offset)
--					end
--				end
--			end
--		end
--	end
	
--		local pis_custom_sight_id = "wpn_fps_upg_o_mw2019_gi_mini_reflex_pis"
--	local pis_based_on_id = "wpn_fps_upg_o_rmr"
--	local pis_offset = Vector3(0, -1, -0.1)
--	if self.parts[pis_custom_sight_id].stance_mod then
--		for _, wpn_id in pairs(self.parts[pis_custom_sight_id].stance_mod) do
--			if wpn_id.translation then
--				wpn_id.translation = (wpn_id.translation + pis_offset)
--			end
--		end
--	end
--	for _, part_id in pairs(self.parts) do
--		if part_id.override and part_id.override[pis_based_on_id] then
--			part_id.override[pis_custom_sight_id] = deep_clone(part_id.override[pis_based_on_id])
--			if part_id.override[pis_custom_sight_id].stance_mod then
--				for _, wpn_id in pairs(part_id.override[pis_custom_sight_id].stance_mod) do
--					if wpn_id.translation then
--						wpn_id.translation = (wpn_id.translation + pis_offset)
--					end
--				end
--			end
--		end
--	end
	
--	local pis_custom_sight_id = "wpn_fps_upg_o_mw2019_solozero_mini_reflex_pis"
--	local pis_based_on_id = "wpn_fps_upg_o_rmr"
--	local pis_offset = Vector3(0, -1, -0.1)
--	if self.parts[pis_custom_sight_id].stance_mod then
--		for _, wpn_id in pairs(self.parts[pis_custom_sight_id].stance_mod) do
--			if wpn_id.translation then
--				wpn_id.translation = (wpn_id.translation + pis_offset)
--			end
--		end
--	end
--	for _, part_id in pairs(self.parts) do
--		if part_id.override and part_id.override[pis_based_on_id] then
--			part_id.override[pis_custom_sight_id] = deep_clone(part_id.override[pis_based_on_id])
--			if part_id.override[pis_custom_sight_id].stance_mod then
--				for _, wpn_id in pairs(part_id.override[pis_custom_sight_id].stance_mod) do
--					if wpn_id.translation then
--						wpn_id.translation = (wpn_id.translation + pis_offset)
--					end
--				end
--			end
--		end
--	end
	
	
	
end)